#!/bin/bash

# This script is used to build the yum repo from SDK ISO automatically.

REPO_NAME=sdk_tmp.repo
ACTION=$1
ID_FS_LABEL=$2
SDK_MOUNT_POINT=/run/media/root/$ID_FS_LABEL

# To check weather the OS has automounted sdk, if not, use the
# rules to automount it.

if [ "$ACTION" == "remove_repo" ]; then
        rm -rf /etc/yum.repos.d/$REPO_NAME
        if [ $? -eq 0 ]; then
                logger -p syslog.info -t sdk_automount "SDK has been umounted!"
        fi
                exit 0
fi

if [ "$ACTION" == "build_repo" ]; then

# Use here doc to build the yum repo
cat << EOF > /etc/yum.repos.d/$REPO_NAME
[sdk-iso]
name=sdk-iso
baseurl=file://${SDK_MOUNT_POINT}
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-kylin
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-kylin-addsign
enabled=1
gpgcheck=1
EOF
	yum clean all
	yum makecache
        if [ $? -eq 0 ]; then
                logger -p syslog.info -t sdk_automount "SDK has been mounted!"
        fi
fi

exit 0
